Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class HomePreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.HomePreferences

All Implemented Interfaces:
  java.io.Serializable

public class HomePreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurables settings for the 'Home' feature. For changes to be committed, the `update` method must be called.

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_CALENDAR_SUMMARY_VIEW_TYPE`
`static int` | `DEFAULT_CALENDAR_VIEW`
`static int` | `DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE`
`static int` | `DEFAULT_NUMBER_OF_TASKS_PER_PAGE`

Constructor Summary
`HomePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`int` | `getCalendarDefaultSummaryViewType()` Gets the default calendar summary view type.
`int` | `getCalendarDefaultView()` Gets the default calendar view.
`boolean` | `getIncludeHome()` Gets the include home flag.
`boolean` | `getIncludeSummary()` Gets the include summary flag.
`int` | `getNumberOfDaysInCalendar()` Gets the number of days in calendar.
`int` | `getNumberOfMessagesPerPage()` Gets the number of messages per page.
`int` | `getNumberOfTasksPerPage()` Gets the number of tasks per page.
`TasksPreferences.TaskFiltering` | `getTaskFiltering()` Gets the filtering.
`TasksPreferences.TaskOrdering` | `getTaskOrdering()` Gets the task ordering.
`void` | `setCalendarDefaultSummaryViewType(int iDefaultCalendarSummaryViewType)` Sets the default calendar summary view type.
`void` | `setCalendarDefaultView(int iDefaultView)` Sets the default calendar view.
`void` | `setIncludeHome(boolean bFlag)` Sets the include home flag.
`void` | `setIncludeSummary(boolean bFlag)` Sets the include summary flag.
`void` | `setNumberOfDaysInCalendar(int iNumber)` Sets the number of days in calendar.
`void` | `setNumberOfMessagesPerPage(int iNum)` Sets the number of messages per page.
`void` | `setNumberOfTasksPerPage(int iNum)` Sets the number of tasks per page.
`void` | `setTaskFiltering(TasksPreferences.TaskFiltering taskFiltering)` Sets the filtering.
`void` | `setTaskOrdering(TasksPreferences.TaskOrdering taskOrdering)` Sets the task ordering.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE

    public static final int DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE

See Also:
  Constant Field Values

### DEFAULT_NUMBER_OF_TASKS_PER_PAGE

    public static final int DEFAULT_NUMBER_OF_TASKS_PER_PAGE

See Also:
  Constant Field Values

### DEFAULT_CALENDAR_VIEW

    public static final int DEFAULT_CALENDAR_VIEW

See Also:
  Constant Field Values

### DEFAULT_CALENDAR_SUMMARY_VIEW_TYPE

    public static final int DEFAULT_CALENDAR_SUMMARY_VIEW_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HomePreferences

    public HomePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                           java.lang.String sInstanceLabel)
                    throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getNumberOfMessagesPerPage

    public int getNumberOfMessagesPerPage()

  Gets the number of messages per page.

  Returns:
    the number of messages per page

### setNumberOfMessagesPerPage

    public void setNumberOfMessagesPerPage(int iNum)

  Sets the number of messages per page.

  Parameters:
    `iNum` - the number of messages per page (must be > 0)

### getNumberOfTasksPerPage

    public int getNumberOfTasksPerPage()

  Gets the number of tasks per page.

  Returns:
    the number of tasks per page

### setNumberOfTasksPerPage

    public void setNumberOfTasksPerPage(int iNum)

  Sets the number of tasks per page.

  Parameters:
    `iNum` - the number of tasks per page (must be > 0)

### getIncludeHome

    public boolean getIncludeHome()

  Gets the include home flag.

  Returns:
    `true` to include home; `false` otherwise

### setIncludeHome

    public void setIncludeHome(boolean bFlag)

  Sets the include home flag.

  Parameters:
    `bFlag` - `true` to include home; `false` otherwise

### getIncludeSummary

    public boolean getIncludeSummary()

  Gets the include summary flag.

  Returns:
    `true` to include summary; `false` otherwise

### setIncludeSummary

    public void setIncludeSummary(boolean bFlag)

  Sets the include summary flag.

  Parameters:
    `bFlag` - `true` to include summary; `false` otherwise

### getNumberOfDaysInCalendar

    public int getNumberOfDaysInCalendar()

  Gets the number of days in calendar.

  Returns:
    the number of days in calendar

### setNumberOfDaysInCalendar

    public void setNumberOfDaysInCalendar(int iNumber)

  Sets the number of days in calendar.

  Parameters:
    `iNumber` - the number of days in calendar

### getCalendarDefaultView

    public int getCalendarDefaultView()

  Gets the default calendar view.

  Returns:
    the default calendar view preference

### setCalendarDefaultView

    public void setCalendarDefaultView(int iDefaultView)

  Sets the default calendar view.

  Parameters:
    `iDefaultView` - the default view preference

### getTaskOrdering

    public TasksPreferences.TaskOrdering getTaskOrdering()

  Gets the task ordering.

  Returns:
    the task ordering

### getTaskFiltering

    public TasksPreferences.TaskFiltering getTaskFiltering()

  Gets the filtering.

  Returns:
    the filtering

### setTaskFiltering

    public void setTaskFiltering(TasksPreferences.TaskFiltering taskFiltering)

  Sets the filtering.

  Parameters:
    `taskFiltering` - the filtering (may not be `null`)

### setTaskOrdering

    public void setTaskOrdering(TasksPreferences.TaskOrdering taskOrdering)

  Sets the task ordering.

  Parameters:
    `taskOrdering` - the task ordering (may not be `null`)

### getCalendarDefaultSummaryViewType

    public int getCalendarDefaultSummaryViewType()

  Gets the default calendar summary view type.

  Returns:
    the default calendar summary view type preference

### setCalendarDefaultSummaryViewType

    public void setCalendarDefaultSummaryViewType(int iDefaultCalendarSummaryViewType)

  Sets the default calendar summary view type.

  Parameters:
    `iDefaultCalendarSummaryViewType` - the default calendar summary view type preference

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.